#include <iostream.h>
#include <fstream.h>
#include "vector.h"
#include "string6.h"
#include "item5.h"
#include "invent1.h"

Inventory::Inventory()
{
    m_Stock = vector<StockItem>(100);
    m_StockCount = 0;
}

short Inventory::LoadInventory(ifstream& InputStream)
{
    short i;

    for (i = 0; i < 100; i ++)
        {
        m_Stock[i].Read(InputStream);
        if (InputStream.fail() != 0)
            break;
        }

    m_StockCount = i;
    return m_StockCount;
}

StockItem Inventory::FindItem(string UPC)
{
    short i;
    bool Found = false;

    for (i = 0; i < m_StockCount; i ++)
        {
        if (m_Stock[i].CheckUPC(UPC) == true)
            {
            Found = true;
            break;
            }
        }

    if (Found == true)
        return m_Stock[i];

    return StockItem();
}

bool Inventory::UpdateItem(StockItem Item)
{
    string UPC = Item.GetUPC();

    short i;
    bool Found = false;

    for (i = 0; i < m_StockCount; i ++)
        {
        if (m_Stock[i].CheckUPC(UPC) == true)
            {
            Found = true;
            break;
            }
        }

    if (Found == true)
        m_Stock[i] = Item;
        
    return Found;
}
