#include <iostream.h>
#include <fstream.h>
#include "string6.h"
#include "item6.h"
#include "invent2.h"

int main()
{
    ifstream InputStream("shop2.in");
    string PurchaseUPC;
    short PurchaseCount;
    string ItemName;
    short OldInventory;
    short NewInventory;
    Inventory MyInventory;
    StockItem FoundItem;
    string TransactionCode;

    MyInventory.LoadInventory(InputStream);

    cout << "What is the UPC of the item? ";
    cin >> PurchaseUPC;

    FoundItem = MyInventory.FindItem(PurchaseUPC);
    if (FoundItem.IsNull() == true)
        {
        cout << "Can't find that item. Please check UPC." << endl;
        return 0;
        }

    OldInventory = FoundItem.GetInventory();
    ItemName = FoundItem.GetName();
    
    cout << "There are currently " << OldInventory << " units of "
    << ItemName << " in stock." << endl;

    cout << "Please enter transaction code as follows:" << endl;
    cout << "S (sale)" << endl;
    cout << "C (price check)" << endl;
    cin >> TransactionCode;

    if (TransactionCode == "C" || TransactionCode == "c")
        {
                cout << "The name of that item is: " << ItemName << endl;
        cout << "Its price is: " << FoundItem.GetPrice();
        }
    else if (TransactionCode == "S" || TransactionCode == "s")
        {
        cout << "How many items were sold? ";
        cin >> PurchaseCount;

        FoundItem.DeductSaleFromInventory(PurchaseCount);
        MyInventory.UpdateItem(FoundItem);
    
        cout << "The inventory has been updated." << endl;
    
        FoundItem = MyInventory.FindItem(PurchaseUPC);
        NewInventory = FoundItem.GetInventory();
        
        ofstream OutputStream("shop2.out");
        MyInventory.StoreInventory(OutputStream);

        cout << "There are now " << NewInventory << " units of "
        << ItemName << " in stock." << endl;
        }

    return 0;
}
