class string
{
friend ostream& operator << (ostream& S, const string& Str);
friend istream& operator >> (istream& S, string& Str);

public:
    string();
    string(const string& Str);
    void operator = (const string& Str);
    ~string();

    string(char* p);
    short GetLength();
    bool operator < (const string& Str);
    bool operator == (const string& Str);
    bool operator > (const string& Str);
    bool operator >= (const string& Str);
    bool operator <= (const string& Str);
    bool operator != (const string& Str);

private:
    short m_Length;
    char* m_Data;
};
