#include <iostream.h>
#include <fstream.h>
#include <string.h>
#include "string6.h"
#include "item6.h"

StockItem::StockItem()
{
    m_InStock = 0;
    m_Price = 0;
    m_Name = "";
    m_Distributor = "";
    m_UPC = "";
};

StockItem::StockItem(string Name, short InStock, short Price,
string Distributor, string UPC)
{
    m_InStock = InStock;
    m_Price = Price;
    m_Name = Name;
    m_Distributor = Distributor;
    m_UPC = UPC;
};

void StockItem::Display()
{
    cout << "Name: ";
    cout << m_Name << endl;
    cout << "Number in stock: ";
    cout << m_InStock << endl;
    cout << "Price: ";
    cout << m_Price << endl;
    cout << "Distributor: ";
    cout << m_Distributor << endl;
    cout << "UPC: ";
    cout << m_UPC << endl;
    cout << endl;

    return;
};

void StockItem::Read(ifstream& s)
{
    s >> m_Name;
    s >> m_InStock;
    s >> m_Price;
    s >> m_Distributor;
    s >> m_UPC;
}

short StockItem::CheckUPC(string ItemUPC)
{
    if (m_UPC == ItemUPC)
        return 1;
    else
        return 0;
}

void StockItem::DeductSaleFromInventory(short QuantitySold)
{
    m_InStock -= QuantitySold;
}

short StockItem::GetInventory()
{
    return m_InStock;
}

string StockItem::GetName()
{
    return m_Name;
}

string StockItem::GetUPC()
{
    return m_UPC;
}

short StockItem::IsNull()
{
    if (m_UPC == "")
        return 1;
    return 0;
};

short StockItem::GetPrice()
{
    return m_Price;
};

//function added for inventory update
void StockItem::Write(ofstream& s)
{
    s << m_Name << endl;
    s << m_InStock << endl;
    s << m_Price << endl;
    s << m_Distributor << endl;
    s << m_UPC << endl;
    return;
}

