class StockItem
{
public:
    StockItem();

    StockItem(string Name, short InStock, short Price, 
    string Distributor, string UPC);

    void Display();
    void Read(ifstream& s);

// the following function was added for inventory update
    void Write(ofstream& s);

    short CheckUPC(string ItemUPC);
    void DeductSaleFromInventory(short QuantitySold);
    short GetInventory();
    string GetName();
    string GetUPC();
    short IsNull();
    short GetPrice();

private:
    short m_InStock;
    short m_Price;
    string m_Name;
    string m_Distributor;
    string m_UPC;
};

