#include <iostream.h>
#include "string.h"
#include "string5.h"

string::string()
{
    m_Length = 1;
    m_Data = new char [m_Length];
    memcpy(m_Data,"",m_Length);
};

string::string(const string& Str)
{
    m_Length = Str.m_Length;
    m_Data = new char [m_Length];
    memcpy(m_Data,Str.m_Data,m_Length);
};

string::string(char* p)
{
    m_Length = strlen(p);
    m_Data = new char [m_Length];
    memcpy(m_Data,p,m_Length);
};

void string::operator = (const string& Str)
{
    if (&Str != this)
        {
        delete [] m_Data;
        m_Length = Str.m_Length;
        m_Data = new char [m_Length];
        memcpy(m_Data,Str.m_Data,m_Length);
        }
    return;
};

string::~string()
{
    delete [] m_Data;
};

short string::GetLength()
{
    return m_Length-1;
};

bool string::operator < (const string& Str)
{
    short Result;
    short CompareLength;

    if (Str.m_Length < m_Length)
        CompareLength = Str.m_Length;
    else
        CompareLength = m_Length;

    Result = memcmp(m_Data,Str.m_Data,CompareLength);
    if (Result < 0)
        return true;
    else if (Result > 0)
        return false;
    else if (m_Length < Str.m_Length)
        return true;
    else
        return false;
};

ostream& operator << (ostream& s, const string& Str)
{
    for (short i=0; i < Str.m_Length; i ++)
        s << Str.m_Data[i];

    return s;
};

istream& operator >> (istream& s, string& Str)
{
    const short BUFLEN;

    char Buf[BUFLEN];
    char ch;

    memset(Buf,0,BUFLEN);
    cin.get(Buf,BUFLEN,'\n');
    cin.get(ch);
    Str = Buf;

    return s;
                                           
};

